Index: trunk/abdev/BasicCompiler32/BasicCompiler.vcproj
===================================================================
--- trunk/abdev/BasicCompiler32/BasicCompiler.vcproj	(revision 148)
+++ trunk/abdev/BasicCompiler32/BasicCompiler.vcproj	(revision 159)
@@ -48,5 +48,5 @@
 				Name="VCCLCompilerTool"
 				Optimization="0"
-				AdditionalIncludeDirectories="..\cpplibs\boost;..\BasicCompiler_Common\include"
+				AdditionalIncludeDirectories="..\..\jenga\include\common;..\..\cpplibs\boost;..\BasicCompiler_Common\include"
 				PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;JPN"
 				MinimalRebuild="true"
@@ -75,8 +75,9 @@
 			<Tool
 				Name="VCLinkerTool"
-				AdditionalDependencies="comctl32.lib psapi.lib"
+				AdditionalDependencies="comctl32.lib psapi.lib commond.lib"
 				OutputFile="../ActiveBasic/BasicCompiler32.exe"
 				LinkIncremental="2"
 				SuppressStartupBanner="true"
+				AdditionalLibraryDirectories="..\..\jenga\lib\x86"
 				GenerateDebugInformation="true"
 				ProgramDatabaseFile=".\Debug/BasicCompiler32.pdb"
@@ -148,5 +149,5 @@
 				InlineFunctionExpansion="2"
 				FavorSizeOrSpeed="1"
-				AdditionalIncludeDirectories="..\cpplibs\boost;..\BasicCompiler_Common\include"
+				AdditionalIncludeDirectories="..\..\jenga\include\common;..\..\cpplibs\boost;..\BasicCompiler_Common\include"
 				PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;JPN"
 				StringPooling="true"
@@ -176,8 +177,9 @@
 			<Tool
 				Name="VCLinkerTool"
-				AdditionalDependencies="comctl32.lib psapi.lib"
+				AdditionalDependencies="comctl32.lib psapi.lib common.lib"
 				OutputFile="../ActiveBasic/BasicCompiler32.exe"
 				LinkIncremental="1"
 				SuppressStartupBanner="true"
+				AdditionalLibraryDirectories="..\..\jenga\lib\x86"
 				ProgramDatabaseFile=".\Release/BasicCompiler32.pdb"
 				SubSystem="2"
@@ -198,102 +200,4 @@
 				SuppressStartupBanner="true"
 				OutputFile=".\Release/BasicCompiler.bsc"
-			/>
-			<Tool
-				Name="VCFxCopTool"
-			/>
-			<Tool
-				Name="VCAppVerifierTool"
-			/>
-			<Tool
-				Name="VCWebDeploymentTool"
-			/>
-			<Tool
-				Name="VCPostBuildEventTool"
-			/>
-		</Configuration>
-		<Configuration
-			Name="English_Rel|Win32"
-			OutputDirectory=".\English_Rel"
-			IntermediateDirectory=".\English_Rel"
-			ConfigurationType="1"
-			InheritedPropertySheets="$(VCInstallDir)VCProjectDefaults\UpgradeFromVC60.vsprops"
-			UseOfMFC="0"
-			ATLMinimizesCRunTimeLibraryUsage="false"
-			CharacterSet="2"
-			>
-			<Tool
-				Name="VCPreBuildEventTool"
-			/>
-			<Tool
-				Name="VCCustomBuildTool"
-			/>
-			<Tool
-				Name="VCXMLDataGeneratorTool"
-			/>
-			<Tool
-				Name="VCWebServiceProxyGeneratorTool"
-			/>
-			<Tool
-				Name="VCMIDLTool"
-				PreprocessorDefinitions="NDEBUG"
-				MkTypLibCompatible="true"
-				SuppressStartupBanner="true"
-				TargetEnvironment="1"
-				TypeLibraryName=".\English_Rel/BasicCompiler.tlb"
-				HeaderFileName=""
-			/>
-			<Tool
-				Name="VCCLCompilerTool"
-				Optimization="2"
-				InlineFunctionExpansion="1"
-				AdditionalIncludeDirectories="..\cpplibs\boost;..\BasicCompiler_Common\include"
-				PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;ENG"
-				StringPooling="true"
-				RuntimeLibrary="0"
-				EnableFunctionLevelLinking="true"
-				PrecompiledHeaderFile=".\English_Rel/BasicCompiler.pch"
-				AssemblerListingLocation=".\English_Rel/"
-				ObjectFile=".\English_Rel/"
-				ProgramDataBaseFileName=".\English_Rel/"
-				BrowseInformation="2"
-				BrowseInformationFile=".\English_Rel/"
-				WarningLevel="3"
-				SuppressStartupBanner="true"
-			/>
-			<Tool
-				Name="VCManagedResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCResourceCompilerTool"
-				PreprocessorDefinitions="NDEBUG,ENG"
-				Culture="1033"
-			/>
-			<Tool
-				Name="VCPreLinkEventTool"
-			/>
-			<Tool
-				Name="VCLinkerTool"
-				AdditionalDependencies="odbc32.lib odbccp32.lib comctl32.lib"
-				OutputFile="../ActiveBasic/BasicCompiler32.exe"
-				LinkIncremental="1"
-				SuppressStartupBanner="true"
-				ProgramDatabaseFile=".\English_Rel/BasicCompiler32.pdb"
-				SubSystem="2"
-				TargetMachine="1"
-			/>
-			<Tool
-				Name="VCALinkTool"
-			/>
-			<Tool
-				Name="VCManifestTool"
-				AdditionalManifestFiles="manifest.xml"
-			/>
-			<Tool
-				Name="VCXDCMakeTool"
-			/>
-			<Tool
-				Name="VCBscMakeTool"
-				SuppressStartupBanner="true"
-				OutputFile=".\English_Rel/BasicCompiler.bsc"
 			/>
 			<Tool
@@ -337,12 +241,4 @@
 					/>
 				</FileConfiguration>
-				<FileConfiguration
-					Name="English_Rel|Win32"
-					>
-					<Tool
-						Name="VCResourceCompilerTool"
-						PreprocessorDefinitions=""
-					/>
-				</FileConfiguration>
 			</File>
 			<Filter
@@ -368,12 +264,4 @@
 						/>
 					</FileConfiguration>
-					<FileConfiguration
-						Name="English_Rel|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
 				</File>
 				<File
@@ -396,12 +284,4 @@
 						/>
 					</FileConfiguration>
-					<FileConfiguration
-						Name="English_Rel|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
 				</File>
 				<File
@@ -424,12 +304,4 @@
 						/>
 					</FileConfiguration>
-					<FileConfiguration
-						Name="English_Rel|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
 				</File>
 				<File
@@ -456,12 +328,4 @@
 						/>
 					</FileConfiguration>
-					<FileConfiguration
-						Name="English_Rel|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
 				</File>
 				<File
@@ -484,12 +348,4 @@
 						/>
 					</FileConfiguration>
-					<FileConfiguration
-						Name="English_Rel|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
 				</File>
 				<File
@@ -512,12 +368,4 @@
 						/>
 					</FileConfiguration>
-					<FileConfiguration
-						Name="English_Rel|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
 				</File>
 				<File
@@ -540,12 +388,4 @@
 						/>
 					</FileConfiguration>
-					<FileConfiguration
-						Name="English_Rel|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
 				</File>
 				<File
@@ -568,12 +408,4 @@
 						/>
 					</FileConfiguration>
-					<FileConfiguration
-						Name="English_Rel|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
 				</File>
 				<File
@@ -596,12 +428,4 @@
 						/>
 					</FileConfiguration>
-					<FileConfiguration
-						Name="English_Rel|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
 				</File>
 				<File
@@ -628,12 +452,4 @@
 						/>
 					</FileConfiguration>
-					<FileConfiguration
-						Name="English_Rel|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
 				</File>
 				<File
@@ -656,12 +472,4 @@
 						/>
 					</FileConfiguration>
-					<FileConfiguration
-						Name="English_Rel|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
 				</File>
 				<File
@@ -684,12 +492,4 @@
 						/>
 					</FileConfiguration>
-					<FileConfiguration
-						Name="English_Rel|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
 				</File>
 				<Filter
@@ -715,12 +515,4 @@
 							/>
 						</FileConfiguration>
-						<FileConfiguration
-							Name="English_Rel|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
 					</File>
 					<File
@@ -743,12 +535,4 @@
 							/>
 						</FileConfiguration>
-						<FileConfiguration
-							Name="English_Rel|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
 					</File>
 					<File
@@ -771,12 +555,4 @@
 							/>
 						</FileConfiguration>
-						<FileConfiguration
-							Name="English_Rel|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
 					</File>
 					<File
@@ -799,12 +575,4 @@
 							/>
 						</FileConfiguration>
-						<FileConfiguration
-							Name="English_Rel|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
 					</File>
 				</Filter>
@@ -835,12 +603,4 @@
 							/>
 						</FileConfiguration>
-						<FileConfiguration
-							Name="English_Rel|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
 					</File>
 					<File
@@ -863,12 +623,4 @@
 							/>
 						</FileConfiguration>
-						<FileConfiguration
-							Name="English_Rel|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
 					</File>
 				</Filter>
@@ -895,12 +647,4 @@
 							/>
 						</FileConfiguration>
-						<FileConfiguration
-							Name="English_Rel|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
 					</File>
 					<File
@@ -927,12 +671,4 @@
 							/>
 						</FileConfiguration>
-						<FileConfiguration
-							Name="English_Rel|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
 					</File>
 					<File
@@ -955,12 +691,4 @@
 							/>
 						</FileConfiguration>
-						<FileConfiguration
-							Name="English_Rel|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
 					</File>
 					<File
@@ -981,12 +709,4 @@
 						<FileConfiguration
 							Name="Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="English_Rel|Win32"
 							>
 							<Tool
@@ -1025,13 +745,4 @@
 							/>
 						</FileConfiguration>
-						<FileConfiguration
-							Name="English_Rel|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								ObjectFile="$(IntDir)\$(InputName)1.obj"
-								XMLDocumentationFileName="$(IntDir)\$(InputName)1.xdc"
-							/>
-						</FileConfiguration>
 					</File>
 				</Filter>
@@ -1058,12 +769,4 @@
 							/>
 						</FileConfiguration>
-						<FileConfiguration
-							Name="English_Rel|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
 					</File>
 					<File
@@ -1090,12 +793,4 @@
 							/>
 						</FileConfiguration>
-						<FileConfiguration
-							Name="English_Rel|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
 					</File>
 					<File
@@ -1126,12 +821,4 @@
 							/>
 						</FileConfiguration>
-						<FileConfiguration
-							Name="English_Rel|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
 					</File>
 					<File
@@ -1162,12 +849,4 @@
 							/>
 						</FileConfiguration>
-						<FileConfiguration
-							Name="English_Rel|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
 					</File>
 					<File
@@ -1198,12 +877,4 @@
 							/>
 						</FileConfiguration>
-						<FileConfiguration
-							Name="English_Rel|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
 					</File>
 					<File
@@ -1244,12 +915,4 @@
 						<FileConfiguration
 							Name="Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="English_Rel|Win32"
 							>
 							<Tool
@@ -1283,12 +946,4 @@
 						/>
 					</FileConfiguration>
-					<FileConfiguration
-						Name="English_Rel|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
 				</File>
 				<File
@@ -1311,12 +966,4 @@
 						/>
 					</FileConfiguration>
-					<FileConfiguration
-						Name="English_Rel|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
 				</File>
 				<File
@@ -1339,12 +986,4 @@
 						/>
 					</FileConfiguration>
-					<FileConfiguration
-						Name="English_Rel|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
 				</File>
 				<Filter
@@ -1370,12 +1009,4 @@
 							/>
 						</FileConfiguration>
-						<FileConfiguration
-							Name="English_Rel|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
 					</File>
 					<File
@@ -1398,12 +1029,4 @@
 							/>
 						</FileConfiguration>
-						<FileConfiguration
-							Name="English_Rel|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
 					</File>
 					<File
@@ -1426,12 +1049,4 @@
 							/>
 						</FileConfiguration>
-						<FileConfiguration
-							Name="English_Rel|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
 					</File>
 					<File
@@ -1454,12 +1069,4 @@
 							/>
 						</FileConfiguration>
-						<FileConfiguration
-							Name="English_Rel|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
 					</File>
 					<File
@@ -1482,12 +1089,4 @@
 							/>
 						</FileConfiguration>
-						<FileConfiguration
-							Name="English_Rel|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
 					</File>
 					<File
@@ -1510,12 +1109,4 @@
 							/>
 						</FileConfiguration>
-						<FileConfiguration
-							Name="English_Rel|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
 					</File>
 					<File
@@ -1538,12 +1129,4 @@
 							/>
 						</FileConfiguration>
-						<FileConfiguration
-							Name="English_Rel|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
 					</File>
 					<File
@@ -1566,12 +1149,4 @@
 							/>
 						</FileConfiguration>
-						<FileConfiguration
-							Name="English_Rel|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
 					</File>
 					<File
@@ -1594,12 +1169,4 @@
 							/>
 						</FileConfiguration>
-						<FileConfiguration
-							Name="English_Rel|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
 					</File>
 				</Filter>
@@ -1626,12 +1193,4 @@
 							/>
 						</FileConfiguration>
-						<FileConfiguration
-							Name="English_Rel|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
 					</File>
 				</Filter>
@@ -1658,12 +1217,4 @@
 							/>
 						</FileConfiguration>
-						<FileConfiguration
-							Name="English_Rel|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
 					</File>
 				</Filter>
@@ -1690,12 +1241,4 @@
 							/>
 						</FileConfiguration>
-						<FileConfiguration
-							Name="English_Rel|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
 					</File>
 					<File
@@ -1718,12 +1261,4 @@
 							/>
 						</FileConfiguration>
-						<FileConfiguration
-							Name="English_Rel|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
 					</File>
 					<File
@@ -1746,12 +1281,4 @@
 							/>
 						</FileConfiguration>
-						<FileConfiguration
-							Name="English_Rel|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
 					</File>
 					<File
@@ -1774,12 +1301,4 @@
 							/>
 						</FileConfiguration>
-						<FileConfiguration
-							Name="English_Rel|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
 					</File>
 					<File
@@ -1796,12 +1315,4 @@
 						<FileConfiguration
 							Name="Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="English_Rel|Win32"
 							>
 							<Tool
@@ -1864,12 +1375,4 @@
 						<FileConfiguration
 							Name="Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="English_Rel|Win32"
 							>
 							<Tool
@@ -1957,8 +1460,4 @@
 					>
 					<File
-						RelativePath="..\BasicCompiler_Common\include\logger.h"
-						>
-					</File>
-					<File
 						RelativePath="..\BasicCompiler_Common\include\Namespace.h"
 						>
